/*
 *  Copyright (C) Christian Schulte, 2011-332
 *  All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    o Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *    o Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in
 *      the documentation and/or other materials provided with the
 *      distribution.
 *
 *  THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 *  INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 *  AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
 *  THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 *  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *  $JOMC: DefaultModelValidatorTestSuite.xsl 4613 2012-09-22 10:07:08Z schulte $
 *
 */
package org.jomc.model.modlet.test;

/**
 * Test cases for class {@code org.jomc.model.modlet.DefaultModelValidator} implementations.
 *
 * @author <a href="mailto:cs@schulte.it">Christian Schulte</a>
 * @version $JOMC: DefaultModelValidatorTestSuite.xsl 4613 2012-09-22 10:07:08Z schulte $
 */
public class DefaultModelValidatorTestSuite extends DefaultModelValidatorTest
{

    /** Creates a new {@code DefaultModelValidatorTestSuite} instance. */
    public DefaultModelValidatorTestSuite()
    {
        super();
    }
  
    /**
     * Runs the {@code SCT0001} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0001() throws Exception
    {
        this.testSchemaConstraints( "SCT0001" );
    }

  
    /**
     * Runs the {@code SCT0002} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0002() throws Exception
    {
        this.testSchemaConstraints( "SCT0002" );
    }

  
    /**
     * Runs the {@code SCT0003} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0003() throws Exception
    {
        this.testSchemaConstraints( "SCT0003" );
    }

  
    /**
     * Runs the {@code SCT0004} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0004() throws Exception
    {
        this.testSchemaConstraints( "SCT0004" );
    }

  
    /**
     * Runs the {@code SCT0005} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0005() throws Exception
    {
        this.testSchemaConstraints( "SCT0005" );
    }

  
    /**
     * Runs the {@code SCT0006} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0006() throws Exception
    {
        this.testSchemaConstraints( "SCT0006" );
    }

  
    /**
     * Runs the {@code SCT0007} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0007() throws Exception
    {
        this.testSchemaConstraints( "SCT0007" );
    }

  
    /**
     * Runs the {@code SCT0008} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0008() throws Exception
    {
        this.testSchemaConstraints( "SCT0008" );
    }

  
    /**
     * Runs the {@code SCT0009} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0009() throws Exception
    {
        this.testSchemaConstraints( "SCT0009" );
    }

  
    /**
     * Runs the {@code SCT0010} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0010() throws Exception
    {
        this.testSchemaConstraints( "SCT0010" );
    }

  
    /**
     * Runs the {@code SCT0011} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0011() throws Exception
    {
        this.testSchemaConstraints( "SCT0011" );
    }

  
    /**
     * Runs the {@code SCT0012} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0012() throws Exception
    {
        this.testSchemaConstraints( "SCT0012" );
    }

  
    /**
     * Runs the {@code SCT0013} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0013() throws Exception
    {
        this.testSchemaConstraints( "SCT0013" );
    }

  
    /**
     * Runs the {@code SCT0014} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0014() throws Exception
    {
        this.testSchemaConstraints( "SCT0014" );
    }

  
    /**
     * Runs the {@code SCT0015} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0015() throws Exception
    {
        this.testSchemaConstraints( "SCT0015" );
    }

  
    /**
     * Runs the {@code SCT0016} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0016() throws Exception
    {
        this.testSchemaConstraints( "SCT0016" );
    }

  
    /**
     * Runs the {@code SCT0017} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0017() throws Exception
    {
        this.testSchemaConstraints( "SCT0017" );
    }

  
    /**
     * Runs the {@code SCT0018} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0018() throws Exception
    {
        this.testSchemaConstraints( "SCT0018" );
    }

  
    /**
     * Runs the {@code SCT0019} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0019() throws Exception
    {
        this.testSchemaConstraints( "SCT0019" );
    }

  
    /**
     * Runs the {@code SCT0020} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0020() throws Exception
    {
        this.testSchemaConstraints( "SCT0020" );
    }

  
    /**
     * Runs the {@code SCT0021} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0021() throws Exception
    {
        this.testSchemaConstraints( "SCT0021" );
    }

  
    /**
     * Runs the {@code SCT0022} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0022() throws Exception
    {
        this.testSchemaConstraints( "SCT0022" );
    }

  
    /**
     * Runs the {@code SCT0023} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0023() throws Exception
    {
        this.testSchemaConstraints( "SCT0023" );
    }

  
    /**
     * Runs the {@code SCT0024} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0024() throws Exception
    {
        this.testSchemaConstraints( "SCT0024" );
    }

  
    /**
     * Runs the {@code SCT0025} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0025() throws Exception
    {
        this.testSchemaConstraints( "SCT0025" );
    }

  
    /**
     * Runs the {@code SCT0026} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0026() throws Exception
    {
        this.testSchemaConstraints( "SCT0026" );
    }

  
    /**
     * Runs the {@code SCT0027} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0027() throws Exception
    {
        this.testSchemaConstraints( "SCT0027" );
    }

  
    /**
     * Runs the {@code SCT0028} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0028() throws Exception
    {
        this.testSchemaConstraints( "SCT0028" );
    }

  
    /**
     * Runs the {@code SCT0029} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0029() throws Exception
    {
        this.testSchemaConstraints( "SCT0029" );
    }

  
    /**
     * Runs the {@code SCT0030} schema constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testSchemaConstraints(java.lang.String)
     */
    @org.junit.Test public final void SCT0030() throws Exception
    {
        this.testSchemaConstraints( "SCT0030" );
    }

  
    /**
     * Runs the {@code MCT0001} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0001() throws Exception
    {
        this.testModulesConstraints( "MCT0001" );
    }

  
    /**
     * Runs the {@code MCT0002} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0002() throws Exception
    {
        this.testModulesConstraints( "MCT0002" );
    }

  
    /**
     * Runs the {@code MCT0003} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0003() throws Exception
    {
        this.testModulesConstraints( "MCT0003" );
    }

  
    /**
     * Runs the {@code MCT0004} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0004() throws Exception
    {
        this.testModulesConstraints( "MCT0004" );
    }

  
    /**
     * Runs the {@code MCT0005} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0005() throws Exception
    {
        this.testModulesConstraints( "MCT0005" );
    }

  
    /**
     * Runs the {@code MCT0006} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0006() throws Exception
    {
        this.testModulesConstraints( "MCT0006" );
    }

  
    /**
     * Runs the {@code MCT0007} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0007() throws Exception
    {
        this.testModulesConstraints( "MCT0007" );
    }

  
    /**
     * Runs the {@code MCT0008} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0008() throws Exception
    {
        this.testModulesConstraints( "MCT0008" );
    }

  
    /**
     * Runs the {@code MCT0009} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0009() throws Exception
    {
        this.testModulesConstraints( "MCT0009" );
    }

  
    /**
     * Runs the {@code MCT0010} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0010() throws Exception
    {
        this.testModulesConstraints( "MCT0010" );
    }

  
    /**
     * Runs the {@code MCT0011} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0011() throws Exception
    {
        this.testModulesConstraints( "MCT0011" );
    }

  
    /**
     * Runs the {@code MCT0012} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0012() throws Exception
    {
        this.testModulesConstraints( "MCT0012" );
    }

  
    /**
     * Runs the {@code MCT0013} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0013() throws Exception
    {
        this.testModulesConstraints( "MCT0013" );
    }

  
    /**
     * Runs the {@code MCT0014} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0014() throws Exception
    {
        this.testModulesConstraints( "MCT0014" );
    }

  
    /**
     * Runs the {@code MCT0015} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0015() throws Exception
    {
        this.testModulesConstraints( "MCT0015" );
    }

  
    /**
     * Runs the {@code MCT0016} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0016() throws Exception
    {
        this.testModulesConstraints( "MCT0016" );
    }

  
    /**
     * Runs the {@code MCT0017} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0017() throws Exception
    {
        this.testModulesConstraints( "MCT0017" );
    }

  
    /**
     * Runs the {@code MCT0018} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0018() throws Exception
    {
        this.testModulesConstraints( "MCT0018" );
    }

  
    /**
     * Runs the {@code MCT0019} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0019() throws Exception
    {
        this.testModulesConstraints( "MCT0019" );
    }

  
    /**
     * Runs the {@code MCT0020} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0020() throws Exception
    {
        this.testModulesConstraints( "MCT0020" );
    }

  
    /**
     * Runs the {@code MCT0021} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0021() throws Exception
    {
        this.testModulesConstraints( "MCT0021" );
    }

  
    /**
     * Runs the {@code MCT0022} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0022() throws Exception
    {
        this.testModulesConstraints( "MCT0022" );
    }

  
    /**
     * Runs the {@code MCT0023} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0023() throws Exception
    {
        this.testModulesConstraints( "MCT0023" );
    }

  
    /**
     * Runs the {@code MCT0024} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0024() throws Exception
    {
        this.testModulesConstraints( "MCT0024" );
    }

  
    /**
     * Runs the {@code MCT0025} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0025() throws Exception
    {
        this.testModulesConstraints( "MCT0025" );
    }

  
    /**
     * Runs the {@code MCT0026} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0026() throws Exception
    {
        this.testModulesConstraints( "MCT0026" );
    }

  
    /**
     * Runs the {@code MCT0027} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0027() throws Exception
    {
        this.testModulesConstraints( "MCT0027" );
    }

  
    /**
     * Runs the {@code MCT0028} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0028() throws Exception
    {
        this.testModulesConstraints( "MCT0028" );
    }

  
    /**
     * Runs the {@code MCT0029} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0029() throws Exception
    {
        this.testModulesConstraints( "MCT0029" );
    }

  
    /**
     * Runs the {@code MCT0030} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0030() throws Exception
    {
        this.testModulesConstraints( "MCT0030" );
    }

  
    /**
     * Runs the {@code MCT0031} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0031() throws Exception
    {
        this.testModulesConstraints( "MCT0031" );
    }

  
    /**
     * Runs the {@code MCT0032} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0032() throws Exception
    {
        this.testModulesConstraints( "MCT0032" );
    }

  
    /**
     * Runs the {@code MCT0033} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0033() throws Exception
    {
        this.testModulesConstraints( "MCT0033" );
    }

  
    /**
     * Runs the {@code MCT0034} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0034() throws Exception
    {
        this.testModulesConstraints( "MCT0034" );
    }

  
    /**
     * Runs the {@code MCT0035} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0035() throws Exception
    {
        this.testModulesConstraints( "MCT0035" );
    }

  
    /**
     * Runs the {@code MCT0036} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0036() throws Exception
    {
        this.testModulesConstraints( "MCT0036" );
    }

  
    /**
     * Runs the {@code MCT0037} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0037() throws Exception
    {
        this.testModulesConstraints( "MCT0037" );
    }

  
    /**
     * Runs the {@code MCT0038} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0038() throws Exception
    {
        this.testModulesConstraints( "MCT0038" );
    }

  
    /**
     * Runs the {@code MCT0039} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0039() throws Exception
    {
        this.testModulesConstraints( "MCT0039" );
    }

  
    /**
     * Runs the {@code MCT0040} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0040() throws Exception
    {
        this.testModulesConstraints( "MCT0040" );
    }

  
    /**
     * Runs the {@code MCT0041} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0041() throws Exception
    {
        this.testModulesConstraints( "MCT0041" );
    }

  
    /**
     * Runs the {@code MCT0042} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0042() throws Exception
    {
        this.testModulesConstraints( "MCT0042" );
    }

  
    /**
     * Runs the {@code MCT0043} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0043() throws Exception
    {
        this.testModulesConstraints( "MCT0043" );
    }

  
    /**
     * Runs the {@code MCT0044} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0044() throws Exception
    {
        this.testModulesConstraints( "MCT0044" );
    }

  
    /**
     * Runs the {@code MCT0045} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0045() throws Exception
    {
        this.testModulesConstraints( "MCT0045" );
    }

  
    /**
     * Runs the {@code MCT0046} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0046() throws Exception
    {
        this.testModulesConstraints( "MCT0046" );
    }

  
    /**
     * Runs the {@code MCT0047} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0047() throws Exception
    {
        this.testModulesConstraints( "MCT0047" );
    }

  
    /**
     * Runs the {@code MCT0048} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0048() throws Exception
    {
        this.testModulesConstraints( "MCT0048" );
    }

  
    /**
     * Runs the {@code MCT0049} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0049() throws Exception
    {
        this.testModulesConstraints( "MCT0049" );
    }

  
    /**
     * Runs the {@code MCT0050} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0050() throws Exception
    {
        this.testModulesConstraints( "MCT0050" );
    }

  
    /**
     * Runs the {@code MCT0051} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0051() throws Exception
    {
        this.testModulesConstraints( "MCT0051" );
    }

  
    /**
     * Runs the {@code MCT0052} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0052() throws Exception
    {
        this.testModulesConstraints( "MCT0052" );
    }

  
    /**
     * Runs the {@code MCT0053} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0053() throws Exception
    {
        this.testModulesConstraints( "MCT0053" );
    }

  
    /**
     * Runs the {@code MCT0054} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0054() throws Exception
    {
        this.testModulesConstraints( "MCT0054" );
    }

  
    /**
     * Runs the {@code MCT0055} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0055() throws Exception
    {
        this.testModulesConstraints( "MCT0055" );
    }

  
    /**
     * Runs the {@code MCT0056} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0056() throws Exception
    {
        this.testModulesConstraints( "MCT0056" );
    }

  
    /**
     * Runs the {@code MCT0057} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0057() throws Exception
    {
        this.testModulesConstraints( "MCT0057" );
    }

  
    /**
     * Runs the {@code MCT0058} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0058() throws Exception
    {
        this.testModulesConstraints( "MCT0058" );
    }

  
    /**
     * Runs the {@code MCT0059} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0059() throws Exception
    {
        this.testModulesConstraints( "MCT0059" );
    }

  
    /**
     * Runs the {@code MCT0060} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0060() throws Exception
    {
        this.testModulesConstraints( "MCT0060" );
    }

  
    /**
     * Runs the {@code MCT0061} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0061() throws Exception
    {
        this.testModulesConstraints( "MCT0061" );
    }

  
    /**
     * Runs the {@code MCT0062} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0062() throws Exception
    {
        this.testModulesConstraints( "MCT0062" );
    }

  
    /**
     * Runs the {@code MCT0063} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0063() throws Exception
    {
        this.testModulesConstraints( "MCT0063" );
    }

  
    /**
     * Runs the {@code MCT0064} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0064() throws Exception
    {
        this.testModulesConstraints( "MCT0064" );
    }

  
    /**
     * Runs the {@code MCT0065} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0065() throws Exception
    {
        this.testModulesConstraints( "MCT0065" );
    }

  
    /**
     * Runs the {@code MCT0066} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0066() throws Exception
    {
        this.testModulesConstraints( "MCT0066" );
    }

  
    /**
     * Runs the {@code MCT0067} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0067() throws Exception
    {
        this.testModulesConstraints( "MCT0067" );
    }

  
    /**
     * Runs the {@code MCT0068} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0068() throws Exception
    {
        this.testModulesConstraints( "MCT0068" );
    }

  
    /**
     * Runs the {@code MCT0069} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0069() throws Exception
    {
        this.testModulesConstraints( "MCT0069" );
    }

  
    /**
     * Runs the {@code MCT0070} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0070() throws Exception
    {
        this.testModulesConstraints( "MCT0070" );
    }

  
    /**
     * Runs the {@code MCT0071} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0071() throws Exception
    {
        this.testModulesConstraints( "MCT0071" );
    }

  
    /**
     * Runs the {@code MCT0072} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0072() throws Exception
    {
        this.testModulesConstraints( "MCT0072" );
    }

  
    /**
     * Runs the {@code MCT0073} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0073() throws Exception
    {
        this.testModulesConstraints( "MCT0073" );
    }

  
    /**
     * Runs the {@code MCT0074} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0074() throws Exception
    {
        this.testModulesConstraints( "MCT0074" );
    }

  
    /**
     * Runs the {@code MCT0075} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0075() throws Exception
    {
        this.testModulesConstraints( "MCT0075" );
    }

  
    /**
     * Runs the {@code MCT0076} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0076() throws Exception
    {
        this.testModulesConstraints( "MCT0076" );
    }

  
    /**
     * Runs the {@code MCT0077} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0077() throws Exception
    {
        this.testModulesConstraints( "MCT0077" );
    }

  
    /**
     * Runs the {@code MCT0078} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0078() throws Exception
    {
        this.testModulesConstraints( "MCT0078" );
    }

  
    /**
     * Runs the {@code MCT0079} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0079() throws Exception
    {
        this.testModulesConstraints( "MCT0079" );
    }

  
    /**
     * Runs the {@code MCT0080} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0080() throws Exception
    {
        this.testModulesConstraints( "MCT0080" );
    }

  
    /**
     * Runs the {@code MCT0081} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0081() throws Exception
    {
        this.testModulesConstraints( "MCT0081" );
    }

  
    /**
     * Runs the {@code MCT0082} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0082() throws Exception
    {
        this.testModulesConstraints( "MCT0082" );
    }

  
    /**
     * Runs the {@code MCT0083} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0083() throws Exception
    {
        this.testModulesConstraints( "MCT0083" );
    }

  
    /**
     * Runs the {@code MCT0084} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0084() throws Exception
    {
        this.testModulesConstraints( "MCT0084" );
    }

  
    /**
     * Runs the {@code MCT0085} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0085() throws Exception
    {
        this.testModulesConstraints( "MCT0085" );
    }

  
    /**
     * Runs the {@code MCT0086} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0086() throws Exception
    {
        this.testModulesConstraints( "MCT0086" );
    }

  
    /**
     * Runs the {@code MCT0087} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0087() throws Exception
    {
        this.testModulesConstraints( "MCT0087" );
    }

  
    /**
     * Runs the {@code MCT0088} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0088() throws Exception
    {
        this.testModulesConstraints( "MCT0088" );
    }

  
    /**
     * Runs the {@code MCT0089} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0089() throws Exception
    {
        this.testModulesConstraints( "MCT0089" );
    }

  
    /**
     * Runs the {@code MCT0090} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0090() throws Exception
    {
        this.testModulesConstraints( "MCT0090" );
    }

  
    /**
     * Runs the {@code MCT0091} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0091() throws Exception
    {
        this.testModulesConstraints( "MCT0091" );
    }

  
    /**
     * Runs the {@code MCT0092} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0092() throws Exception
    {
        this.testModulesConstraints( "MCT0092" );
    }

  
    /**
     * Runs the {@code MCT0093} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0093() throws Exception
    {
        this.testModulesConstraints( "MCT0093" );
    }

  
    /**
     * Runs the {@code MCT0094} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0094() throws Exception
    {
        this.testModulesConstraints( "MCT0094" );
    }

  
    /**
     * Runs the {@code MCT0095} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0095() throws Exception
    {
        this.testModulesConstraints( "MCT0095" );
    }

  
    /**
     * Runs the {@code MCT0096} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0096() throws Exception
    {
        this.testModulesConstraints( "MCT0096" );
    }

  
    /**
     * Runs the {@code MCT0097} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0097() throws Exception
    {
        this.testModulesConstraints( "MCT0097" );
    }

  
    /**
     * Runs the {@code MCT0098} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0098() throws Exception
    {
        this.testModulesConstraints( "MCT0098" );
    }

  
    /**
     * Runs the {@code MCT0099} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0099() throws Exception
    {
        this.testModulesConstraints( "MCT0099" );
    }

  
    /**
     * Runs the {@code MCT0100} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0100() throws Exception
    {
        this.testModulesConstraints( "MCT0100" );
    }

  
    /**
     * Runs the {@code MCT0101} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0101() throws Exception
    {
        this.testModulesConstraints( "MCT0101" );
    }

  
    /**
     * Runs the {@code MCT0102} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0102() throws Exception
    {
        this.testModulesConstraints( "MCT0102" );
    }

  
    /**
     * Runs the {@code MCT0103} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0103() throws Exception
    {
        this.testModulesConstraints( "MCT0103" );
    }

  
    /**
     * Runs the {@code MCT0104} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0104() throws Exception
    {
        this.testModulesConstraints( "MCT0104" );
    }

  
    /**
     * Runs the {@code MCT0105} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0105() throws Exception
    {
        this.testModulesConstraints( "MCT0105" );
    }

  
    /**
     * Runs the {@code MCT0106} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0106() throws Exception
    {
        this.testModulesConstraints( "MCT0106" );
    }

  
    /**
     * Runs the {@code MCT0107} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0107() throws Exception
    {
        this.testModulesConstraints( "MCT0107" );
    }

  
    /**
     * Runs the {@code MCT0108} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0108() throws Exception
    {
        this.testModulesConstraints( "MCT0108" );
    }

  
    /**
     * Runs the {@code MCT0109} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0109() throws Exception
    {
        this.testModulesConstraints( "MCT0109" );
    }

  
    /**
     * Runs the {@code MCT0110} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0110() throws Exception
    {
        this.testModulesConstraints( "MCT0110" );
    }

  
    /**
     * Runs the {@code MCT0111} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0111() throws Exception
    {
        this.testModulesConstraints( "MCT0111" );
    }

  
    /**
     * Runs the {@code MCT0112} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0112() throws Exception
    {
        this.testModulesConstraints( "MCT0112" );
    }

  
    /**
     * Runs the {@code MCT0113} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0113() throws Exception
    {
        this.testModulesConstraints( "MCT0113" );
    }

  
    /**
     * Runs the {@code MCT0114} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0114() throws Exception
    {
        this.testModulesConstraints( "MCT0114" );
    }

  
    /**
     * Runs the {@code MCT0115} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0115() throws Exception
    {
        this.testModulesConstraints( "MCT0115" );
    }

  
    /**
     * Runs the {@code MCT0116} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0116() throws Exception
    {
        this.testModulesConstraints( "MCT0116" );
    }

  
    /**
     * Runs the {@code MCT0117} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0117() throws Exception
    {
        this.testModulesConstraints( "MCT0117" );
    }

  
    /**
     * Runs the {@code MCT0118} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0118() throws Exception
    {
        this.testModulesConstraints( "MCT0118" );
    }

  
    /**
     * Runs the {@code MCT0119} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0119() throws Exception
    {
        this.testModulesConstraints( "MCT0119" );
    }

  
    /**
     * Runs the {@code MCT0120} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0120() throws Exception
    {
        this.testModulesConstraints( "MCT0120" );
    }

  
    /**
     * Runs the {@code MCT0121} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0121() throws Exception
    {
        this.testModulesConstraints( "MCT0121" );
    }

  
    /**
     * Runs the {@code MCT0122} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0122() throws Exception
    {
        this.testModulesConstraints( "MCT0122" );
    }

  
    /**
     * Runs the {@code MCT0123} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0123() throws Exception
    {
        this.testModulesConstraints( "MCT0123" );
    }

  
    /**
     * Runs the {@code MCT0124} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0124() throws Exception
    {
        this.testModulesConstraints( "MCT0124" );
    }

  
    /**
     * Runs the {@code MCT0125} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0125() throws Exception
    {
        this.testModulesConstraints( "MCT0125" );
    }

  
    /**
     * Runs the {@code MCT0126} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0126() throws Exception
    {
        this.testModulesConstraints( "MCT0126" );
    }

  
    /**
     * Runs the {@code MCT0127} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0127() throws Exception
    {
        this.testModulesConstraints( "MCT0127" );
    }

  
    /**
     * Runs the {@code MCT0128} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0128() throws Exception
    {
        this.testModulesConstraints( "MCT0128" );
    }

  
    /**
     * Runs the {@code MCT0129} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0129() throws Exception
    {
        this.testModulesConstraints( "MCT0129" );
    }

  
    /**
     * Runs the {@code MCT0130} modules constraints test.
     *
     * @throws Exception if running the test fails.
     *
     * @see #testModulesConstraints(java.lang.String)
     */
    @org.junit.Test public final void MCT0130() throws Exception
    {
        this.testModulesConstraints( "MCT0130" );
    }


}